ranges::views::iter_take_while_fn Struct Reference
Inheritance diagram for ranges::views::iter_take_while_fn:

## Public Member Functions

template<typename Pred >
constexpr auto | operator() (Pred pred) const
Public Member Functions inherited from ranges::views::iter_take_while_base_fn
template<typename Rng , typename Pred >
CPP_TEMPLATE_AUX_0 | c (requires viewable_range< Rng > &&input_range< Rng > &&predicate< Pred &, iterator_t< Rng >> &&copy_constructible< Pred >) ccconstexpr iter_take_while_view< all_t< Rng >
CPP_TEMPLATE_AUX_0 Pred | operator() (Rng &&rng, Pred pred) const

## Related Functions

(Note that these are not member functions.)
constexpr iter_take_while_fn | iter_take_while {}